<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">Form</h5>
                                        <span class="h2 font-weight-bold mb-0">Bill </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <h3 class="mb-0">Form</h3>
                    </div>
                    <div class="card-body">

                        <div class="alert alert-danger" th:if="${gagal != null}">
                            Tagihan untuk jenis tagihan tersebut sudah ada!
                        </div>

                        <div class="card-shadow">
                            <form method="post" th:action="@{/studentBill/billAdmin/form(tahunAkademik = ${tahun.id}, nim = ${mhs.id})}" th:object="${newTagihan}">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Mahasiswa</label>
                                            <input type="text" readonly th:value="${mhs.nama}" class="form-control">
                                        </div>

                                        <div class="form-group">
                                            <label>Tahun Akademik</label>
                                            <input type="text" readonly th:value="${tahun.namaTahunAkademik}" name="tahunAkademik" class="form-control">
                                        </div>

                                        <div class="form-group">
                                            <label>Jenis Tagihan</label>
                                            <select id="select2-jenis" onchange="jenisTagihan()"
                                                    th:field="*{nilaiJenisTagihan}" required class="form-control" >
                                                <option value=""></option>
                                                <option th:each="data : ${nilaiJenisTagihan}"
                                                        th:text="${(data.jenisTagihan.nama)}"
                                                        th:value="${data.id}">STEI TAZKIA</option>
                                            </select>
                                            <input type="hidden" id="isiJenis" name="nilaiJenisTagihan" th:field="*{nilaiJenisTagihan}">
                                        </div>

                                    </div>
                                    <div class="col-md-6">

                                        <div class="form-group">
                                            <label>Nilai</label>
                                            <input type="number" id="nilaiTagihan" th:field="*{nilaiTagihan}" name="nilaiTagihan" class="form-control"
                                                   placeholder="0.00" >
                                        </div>
                                        <div class="form-group">
                                            <label>Nilai Asli</label>
                                            <input type="number" id="nilaiTagihanAsli" th:field="*{nilaiTagihanAsli}" name="nilaiTagihanAsli" class="form-control"
                                                   placeholder="0.00" >
                                        </div>
                                        <div class="form-group">
                                            <label>Cicilan</label>
                                            <input type="number" name="cicilan" class="form-control" placeholder="Cicilan" th:value="${cicilan}">
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb-3">
                                    <div class="ml-3">
                                        Fitur Block : &nbsp;
                                        <input type="checkbox" name="uas">
                                        UAS &nbsp;
                                        &nbsp;
                                        <input type="checkbox" name="uts">
                                        UTS &nbsp;
                                        &nbsp;
                                        <input type="checkbox" name="krs">
                                        KRS &nbsp;
                                    </div>
                                </div>

                                <input type="hidden" name="id" >
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary">Save</button>
                                    <a th:href="@{/studentBill/billAdmin/list(tahunAkademik = ${tahun.id}, nim = ${nim})}" class="btn btn-danger">Cancel</a>
                                </div>
                            </form>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih salah satu",
        allowClear: true
    });

    (function($){
        $('#select2-jenis').select2();

        $('#select2-jenis').on('select2:selecting', function (e) {
            console.log('Selecting: ', e.params.args.data.id);
            $('#isiJenis').val(e.params.args.data.id);
        });
    })(jQuery);

    function jenisTagihan(){
        var x = document.getElementById("select2-jenis").value;
        console.log(x);
        const url = '/api/jenis?id='+x;
        $.getJSON(url, function (data) {
            $('#nilaiTagihan').val(data.nilai);
            document.getElementById("nilaiTagihan").value = data.nilai;
            $('#nilaiTagihanAsli').val(data.nilai);
            document.getElementById("nilaiTagihanAsli").value = data.nilai;
        });
    }

</script>